This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 202457 - Review Request: crack-attack - Puzzle action game
Review Request: crack-attack - Puzzle action game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Chapman
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-14 11:51 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-03 01:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-08-14 11:51:57 EDT
Spec URL: http://people.atrpms.net/~hdegoede/crack-attack.spec
SRPM URL: http://people.atrpms.net/~hdegoede/crack-attack-1.1.14-7.src.rpm
Description:
A puzzle/action game in which you rush to eliminate colored blocks
before they fill your screen. Particularly clever eliminations cause
garbage to clutter your opponent's screen. Who will survive the
longest!? Playable both online and off.

---

Notice that there has been some legal discussion about this package on f-e-l because it uses game mechanics from a well known game, which in itself is not a problem. The problem is however that the docs mention this well known and trademarked game as the inspiration for the game mechanics. Since this name is trademarked I have added a patch to the srpm removing the trademarked name from the binary packages.

I haven't made a special source tarbal without this name because Core cotnains a package (gnome-games) with similar issues and also handles this in the spec file and not with a modified tarbal, and what is good enough for Core should be good enough for FE (when talking about legal issues) .

I've compared this game with screenshots from the game this is inspired by and except for the game mechanics nothing has been copied, the graphics logo, controls etc all are different.
Comment 1 drago01 2006-08-14 12:09:49 EDT
tested on x86_64 (FC5)
builds and works fine here. 
(nvidia drivers + 7800GTX)
one thing I found:
rpmlint /home/dragoran/rpm/RPMS/x86_64/crack-attack-1.1.14-7.x86_64.rpm
W: crack-attack unstripped-binary-or-object /usr/bin/crack-attack
Comment 2 drago01 2006-08-14 12:46:41 EDT
should there be any sound?
here I can here nothing.
Comment 3 Hans de Goede 2006-08-14 15:29:08 EDT
(In reply to comment #1)
> tested on x86_64 (FC5)
> builds and works fine here. 
> (nvidia drivers + 7800GTX)
> one thing I found:
> rpmlint /home/dragoran/rpm/RPMS/x86_64/crack-attack-1.1.14-7.x86_64.rpm
> W: crack-attack unstripped-binary-or-object /usr/bin/crack-attack
> 
I ran rpmlint too and it didn't give that warning for me, there seems to be a
bug in rpmbuild which sometimes causes this (yes sometimes, strange but true)
often a rebuild of the very same srpm / spec will fix it :|

(In reply to comment #2)
> should there be any sound?
> here I can here nothing.

Sound would be nice, but isn't included upstream, so you not hearing anything is
to be expected :)
Comment 4 drago01 2006-08-15 08:55:05 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > tested on x86_64 (FC5)
> > builds and works fine here. 
> > (nvidia drivers + 7800GTX)
> > one thing I found:
> > rpmlint /home/dragoran/rpm/RPMS/x86_64/crack-attack-1.1.14-7.x86_64.rpm
> > W: crack-attack unstripped-binary-or-object /usr/bin/crack-attack
> > 
> I ran rpmlint too and it didn't give that warning for me, there seems to be a
> bug in rpmbuild which sometimes causes this (yes sometimes, strange but true)
> often a rebuild of the very same srpm / spec will fix it :|
> 
ok will try to rebuild it
> (In reply to comment #2)
> > should there be any sound?
> > here I can here nothing.
> 
> Sound would be nice, but isn't included upstream, so you not hearing anything is
> to be expected :)
> 
ok

now the "bad" news :
I tested the same rpm on a second box (FC5/UP/x86_64/6600GT) -> the start game
button does not launch the game but the same window again.
the package versions are not the same as on this box (which works) because there
is no internet connection, but it isn't a fresh FC5 install either.
Comment 5 Hans de Goede 2006-08-15 15:03:09 EDT
(In reply to comment #4)
> now the "bad" news :
> I tested the same rpm on a second box (FC5/UP/x86_64/6600GT) -> the start game
> button does not launch the game but the same window again.
> the package versions are not the same as on this box (which works) because there
> is no internet connection, but it isn't a fresh FC5 install either.
> 

Hmm, is your other machine 64 bit too? Although I doubt that is the problem, my
devel machine is 64 bit. Could you try fully updating the affected machine,
maybe some of crackattacks dependencies cause this problem?
Comment 6 Manuel Arostegui Ramirez 2006-08-15 16:16:53 EDT
It also works perfectly on:


[root@Arbusto ~]# cat /etc/fedora-release 
Fedora Core release 5 (Bordeaux)

And:

[root@Arbusto ~]# lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02)

Comment 7 Ian Chapman 2006-08-27 10:40:54 EDT
* rpmlint: no problems
* Package named correctly: Yes
* Patches named correctly: Yes
* Spec file named correctly: Yes
* Licence field matches: Yes
* Licence file installed: Yes (and included upstream)
* Spec file in American English: Yes
* Source matches upstream: Yes
* Locales use %find_lang: N/A
* Contains %clean: Yes
* Specfile legible: Yes
* Compiles and builds ok: Yes (mock: fc5/ppc)
* Calls ldconfig in %post/%postun for shlibs: N/A
* Owns directories it creates: Yes
* Duplicate files: No
* Permissions set correctly: Yes
* Consistent macro use: Yes (but see suggestion)
* %doc affects runtime: No
* Headers and static libs in -devel: N/A
* .pc files in -devel: N/A
* .so in -devel: N/A
* -devel requires base: N/A
* Contains .la files: No
* Owns files it didn't create: No
* .desktop files installed correctly: Yes


1. The URL: tag appears to point to an old site, as the latest version on this 
site is 1.1.10 and the source location is different. I feel http://
www.nongnu.org/crack-attack/ would be a better choice.

2. No use of %{name}-%{version} macros in Source tag. Personal preference but 
just a heads up if you prefer to use them.

3. Several files are installed in the %doc directory which probably shouldn't 
be there:

*.sanitize: The patch backup files
crack-attack.6: An uncompressed copy of the man page, but the man page is 
correctly installed in %{_mandir}/man6/
crack-attack.xml: Really a 'source' file for generating the man page so I 
wouldn't install it.
ready_to_release: Useless to the end user IMHO and shouldn't be installed.

4. /usr/share/crack-attack/crack-attack.desktop and /usr/share/crack-attack/
crack-attack.xpm, do these files really need to be there?
Comment 8 Hans de Goede 2006-08-27 16:00:37 EDT
Everybody / anybody I'm cc-ing fedora-games-list as it looks like this package
is going to be reviewed if you have any doubts, really any at all about the
legal status of this package please speak up now, before it gets approved,
imported and build!

(In reply to comment #7)
> 1. The URL: tag appears to point to an old site, as the latest version on this 
> site is 1.1.10 and the source location is different. I feel http://
> www.nongnu.org/crack-attack/ would be a better choice.
> 
Fixed

> 2. No use of %{name}-%{version} macros in Source tag. Personal preference but 
> just a heads up if you prefer to use them.
> 
Missed those in the old specfile I inhereted, fixed.

> 3. Several files are installed in the %doc directory which probably shouldn't 
> be there:
> 
> *.sanitize: The patch backup files
> crack-attack.6: An uncompressed copy of the man page, but the man page is 
> correctly installed in %{_mandir}/man6/
> crack-attack.xml: Really a 'source' file for generating the man page so I 
> wouldn't install it.
> ready_to_release: Useless to the end user IMHO and shouldn't be installed.
> 

Woops, fixed, thanks!

> 4. /usr/share/crack-attack/crack-attack.desktop and /usr/share/crack-attack/
> crack-attack.xpm, do these files really need to be there?

The .xpm is needed and I've used the .desktop as the .desktop and installed it
with --delete-original.

New version with all this fixed here:
Spec URL: http://people.atrpms.net/~hdegoede/crack-attack.spec
SRPM URL: http://people.atrpms.net/~hdegoede/crack-attack-1.1.14-8.src.rpm
Comment 9 Ian Chapman 2006-08-27 16:48:07 EDT
All fixes verified so as far as I'm concerned the package is APPROVED!

Of course, feel free to wait a while before import & build for any reasonable 
objections from fedora-games-list.
Comment 10 Kevin Fenzi 2006-09-02 16:59:35 EDT
It's been almost a week, and I have seen no sign of objection on the fedora-
games-list (from looking at the archives at least). 
I would expect someone would have spoken up by now if there were objections...
Comment 11 Hans de Goede 2006-09-03 01:34:32 EDT
Thanks all,

Imported and build, closing.


Note You need to log in before you can comment on or make changes to this bug.